Verdocs - Developer Documentation
ReferenceRest APIApi docsRecipients

Submit envelope

POST
/v2/envelopes/{envelope_id}/recipients/{role_name}/submit

Path Parameters

envelope_id*string

The envelope to operate on.

Formatuuid
role_name*string

The role to submit.

Request Body

application/json

Body Parameters

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.verdocs.com/v2/envelopes/ENVELOPE_ID/recipients/ROLE_NAME/submit" \    -H "Authorization: Bearer ACCESS_TOKEN" \    -H "content-type: application/json" \    -d '{"param": "value"}'
{
  "address": "string",
  "auth_method_states": "string",
  "auth_methods": "string",
  "auth_step": "string",
  "city": "string",
  "disclosures": "string",
  "disclosures_accepted_at": "string",
  "dob": "string",
  "full_name": "string",
  "id": "string",
  "in_app_key": "string",
  "kba_questions": "string",
  "locale": "string",
  "order": 0,
  "passcode": "string",
  "phone": "string",
  "sequence": 0,
  "ssn_last_4": "string",
  "state": "string",
  "timezone": "string",
  "zip": "string"
}
{
  "status": "ERROR",
  "error": "string"
}
{
  "status": "ERROR",
  "error": "string"
}
{
  "status": "ERROR",
  "error": "string"
}
{
  "status": "ERROR",
  "error": "string"
}